#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Read resources from Python packages
Summary(pl.UTF-8):	Odczyt zasobów z pakietów Pythona
Name:		python3-importlib_resources
Version:	6.1.0
Release:	1
License:	Apache v2.0
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/importlib-resources/
Source0:	https://files.pythonhosted.org/packages/source/i/importlib-resources/importlib_resources-%{version}.tar.gz
# Source0-md5:	525d238db212bdec2df06c0d4b479e73
URL:		https://pypi.org/project/importlib-resources/
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-setuptools >= 1:56
BuildRequires:	python3-setuptools_scm >= 3.4.1
BuildRequires:	python3-toml
%if %{with tests}
#BuildRequires:	python3-black >= 0.3.7
#BuildRequires:	python3-checkdocs >= 2.4
#BuildRequires:	python3-cov
#BuildRequires:	python3-enabler >= 2.2
#BuildRequires:	python3-mypy >= 0.9.1
#BuildRequires:	python3-pytest >= 6
#BuildRequires:	python3-pytest-black >= 0.3.7
#BuildRequires:	python3-pytest-checkdocs >= 2.4
#BuildRequires:	python3-pytest-cov
#BuildRequires:	python3-pytest-enabler >= 1.0.1
#BuildRequires:	python3-pytest-flake8
#BuildRequires:	python3-pytest-mypy
#BuildRequires:	python3-ruff
BuildRequires:	python3-zipp >= 3.17
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.749
%if %{with doc}
BuildRequires:	python3-furo
BuildRequires:	python3-jaraco.packaging >= 9.3
BuildRequires:	python3-jaraco.tidelift >= 1.4
BuildRequires:	python3-rst.linker >= 1.9
#BuildRequires:	python3-sphinx-lint
BuildRequires:	sphinx-pdg-3 >= 3.5
BuildRequires:	sphinx-pdg-3 < 7.2.5
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
importlib_resources is a backport of Python standard library
importlib.resources module for older Pythons. Users of Python 3.9 and
beyond should use the standard library module, since for these
versions, importlib_resources just delegates to that module.

The key goal of this module is to replace parts of pkg_resources with
a solution in Python's stdlib that relies on well-defined APIs. This
makes reading resources included in packages easier, with more stable
and consistent semantics.

%description -l pl.UTF-8
importlib_resources to backport modułu importlib.resources z
biblioteki standardowej Pythona przeznaczony dla starszych wersji
Pythona. Użytkownicy Pythona 3.9 i nowszego powinni używać modułu z
biblioteki standardowej.

Głównym celem tego modułu jest zastąpienie części pkg_resources
rozwiązaniem obecnym w bibliotece standardowej Pythona, opartym na
dobrze zdefiniowanym API. Czyni to czytanie zasobów z pakietów
łatwiejszym, z bardziej stabilną i spójną semantyką.

%package apidocs
Summary:	API documentation for Python importlib_resources module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona importlib_resources
Group:		Documentation

%description apidocs
API documentation for Python importlib_resources module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona importlib_resources.

%prep
%setup -q -n importlib_resources-%{version}

cat >setup.py <<EOF
from setuptools import setup
setup()
EOF

%build
%py3_build

%if %{with tests}
%{__python3} -m unittest discover
%endif

%if %{with doc}
sphinx-build-3 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS.rst README.rst
%{py3_sitescriptdir}/importlib_resources
%{py3_sitescriptdir}/importlib_resources-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Sun Oct 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-importlib_resources.git;a=log;h=master

* Sat Oct 21 2023 Jakub Bogusz <qboosh@pld-linux.org> cd365f5
- updated to 6.1.0

* Sun May 01 2022 Jan Rękorajski <baggins@pld-linux.org> 792c0dc
- Release 4 (by relup.sh)

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> a9cab6f
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 921367d
- rebuild with python 3.10

* Mon Mar 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 2c340c2
- updated to 5.4.0

* Mon Mar 01 2021 Jan Palus <atler@pld-linux.org> 930ca83
- release 3 (by relup.sh)

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 48c243f
- reenabled tests, completed doc dependencies

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> dffa9cb
- depend on setuptools_scm release including 'toml' fix; rel 2

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> 67a852a
- up to 5.1.0 (python3 only now)

* Thu Jan 28 2021 Jan Palus <atler@pld-linux.org> ddde6cb
- renamed files

* Fri Oct 25 2019 Jakub Bogusz <qboosh@pld-linux.org> 1c4b184
- new; added patch not to BR python-wheel

